QGIS Application - Bug report #16110
Processing toolbox is hardcoded to GRASS 70
2017-01-24 07:00 AM - Saber Razmjooei

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/GRASS

Affected QGIS version:master Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24022
Description

In linux, it should be /usr/bin/grass which contains the latest grass (currently 72).

Related issues:
Duplicated by QGIS Application - Bug report # 16019: Hardcoded “grass70”in T... Closed 2016-12-29

History

#1 - 2017-01-24 07:00 AM - Saber Razmjooei
- Assignee deleted (Victor Olaya)

#2 - 2017-01-24 07:04 AM - Saber Razmjooei

Alternatively, allow users to choose the folder where binaries are residing (similar to Windows).

#3 - 2017-01-24 07:10 AM - Paolo Cavallini

I would avoid this, looks very odd for a Linux user. Executables are always in $PATH.

#4 - 2017-01-24 09:01 AM - Markus Neteler

A way to choose between grass70 and grass72 (or any future G7 version) would be important.

GRASS GIS 7.0 and 7.2 are compatible in terms of flags and parameters, so no issues expected for the module definitions in "Processing".

#5 - 2017-01-25 03:22 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in commit:099e7a7

#6 - 2017-03-15 04:39 PM - Donovan Cameron

Is there any chance that this could be back ported to 2.18?

| tried to apply the diff provided by J. Fischer but it doesn't patch against 2.18.4.r51.ga7f92bd89d
#7 - 2017-03-22 01:44 AM - mlennert -

+1 for backport, also to 2.14 as long as this is LTR.
